Subject: APPN DLUR-3 draft spec available; DLUR-3a next

From: "Ed Tremblay (254-5515)" <[email-masked]>
Date: Mon, 1 Nov 93 13:41:49 EST

The DLUR architecture document has been updated and is available by
anonymous FTP to ibmstandards.cary.ibm.com under the name of
aiw/sig/dlur/dlur3.psbin - the file is a PostScript file, but treat it
as binary when you get it and print it.

The updates added in DLUR-3 are:

  * corrected DLUR processing upon receipt of a REQDISCONT RU from its
    serviced PU

    - postponed DLC deactivation to allow SSCP-PU and SSCP-LU
      deactivation flows to be sent to and from the serviced PU

    - created two new REQDACTPU cause values to indicate receipt of
      REQDISCONT(normal) and REQDISCONT(immediate) so that DLUS can
      proceed with orderly or forced PU deactivation as appropriate

  * corrected adaptive session pacing processing for locally attached
    dependent LUs

Several DLUR/S architecture issues have been raised since the last AIW.
As solutions requiring architecture changes get ironed out, I want to
present them for electronic AD status approval and not wait for
February to consider several AD items as well as AP status for the
entire document.

Since I still have not found a satisfactory method of creating change
pages, I propose putting updated versions of DLUR-3 on FTP and
requesting AD status on the changes effective two weeks later.

I'm going to start work on DLUR-3a with a projected availability date
somewhere in mid-November (I'm at SHARE next week).  The first item
that will appear in that draft concerns SSCP-PU session deactivation
race conditions between DACTPU and REQDACTPU.  The race condition
processing would include:

DLUS - if the server is in the DACTPU proceeding state and it receives
       a REQDACTPU from the DLUR for that PU, it should return a +RSP
       for that REQDACTPU and continue processing for its own DACTPU
       request

DLUR - 1) if the requester is in an awaiting RSP(REQDACTPU) state and
          it receives a DACTPU from the DLUS for that PU, it should
          accept and process that DACTPU request
       2) if while processing the DACTPU, the +RSP(REQDACTPU) should
          arrive, the requester should accept the response and continue
          DACTPU processing

Please send any comments on the updates in DLUR-3, the electronic
approval process, the race condition handling, etc., either publicly or
privately.

Ed Tremblay